package com.foreverwin.mesnac.common.model;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**  
 * 
 * @Title:  CustomReportSearchCondition.java   
 * @Package com.knsdev.service.domain   
 * @Description: 自定义报表 查询条件配置 基类   
 * @author: Andy    
 * @date:   2020年10月13日 下午3:43:41   
 * @version V1.0 
 *
 * @History 操作记录
 * 2020年10月13日 下午3:43:41 Andy add
 *
 * 相关联的FDS
 * ME-111-自定义报表配置 
 */
public class CustomReportSearchConditionConfig {

	private Integer seq;
	private String conditionName;
	private String conditionField;
	//栏位类别 ：弹出框（DAILOG）|输入框(TEXT)|日期输入框(DATETEXT)|复选框(CHECKBOX)
	private String fieldType;
	//弹出复选框数据获取SQL
	private String dailogCheckboxSQL;
	//REQ(必填)|NO_REQ(非必填)|GROUP_REQ(组合必填)
	private String requiredType;
	private Integer rowID;
	private Integer columnID;
	private Integer columnWidthPercent;
	//自定义报表 Load后需赋上初值
	private List<Map<String, Object>> fieldValueList;

	//增加insert所需字段
	private String site;
	private String customReportMainModelBo;
	private Date modifyDateTime;
	private String modifyUser;
	private String handle;

	public Integer getSeq() {
		return seq;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public Integer getRowID() {
		return rowID;
	}

	public void setRowID(Integer rowID) {
		this.rowID = rowID;
	}

	public Integer getColumnID() {
		return columnID;
	}

	public void setColumnID(Integer columnID) {
		this.columnID = columnID;
	}

	public String getHandle() {
		return handle;
	}

	public void setHandle(String handle) {
		this.handle = handle;
	}

	public String getSite() {
		return site;
	}

	public void setSite(String site) {
		this.site = site;
	}

	public String getCustomReportMainModelBo() {
		return customReportMainModelBo;
	}

	public void setCustomReportMainModelBo(String customReportMainModelBo) {
		this.customReportMainModelBo = customReportMainModelBo;
	}

	/*public String getModifyDateTime() {
		return modifyDateTime;
	}

	public void setModifyDateTime(String modifyDateTime) {
		this.modifyDateTime = modifyDateTime;
	}*/

	public Date getModifyDateTime() {
		return modifyDateTime;
	}

	public void setModifyDateTime(Date modifyDateTime) {
		this.modifyDateTime = modifyDateTime;
	}

	public String getModifyUser() {
		return modifyUser;
	}

	public void setModifyUser(String modifyUser) {
		this.modifyUser = modifyUser;
	}

	/*public String getSeq() {
		return seq;
	}
	public void setSeq(String seq) {
		this.seq = seq;
	}*/
	public String getConditionName() {
		return conditionName;
	}
	public void setConditionName(String conditionName) {
		this.conditionName = conditionName;
	}
	public String getConditionField() {
		return conditionField;
	}
	public void setConditionField(String conditionField) {
		this.conditionField = conditionField;
	}
	public String getFieldType() {
		return fieldType;
	}
	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}
	public String getDailogCheckboxSQL() {
		return dailogCheckboxSQL;
	}
	public void setDailogCheckboxSQL(String dailogCheckboxSQL) {
		this.dailogCheckboxSQL = dailogCheckboxSQL;
	}
	public String getRequiredType() {
		return requiredType;
	}
	public void setRequiredType(String requiredType) {
		this.requiredType = requiredType;
	}
	/*public String getRowID() {
		return rowID;
	}
	public void setRowID(String rowID) {
		this.rowID = rowID;
	}
	public String getColumnID() {
		return columnID;
	}
	public void setColumnID(String columnID) {
		this.columnID = columnID;
	}*/
	/*public String getColumnWidthPercent() {
		return columnWidthPercent;
	}
	public void setColumnWidthPercent(String columnWidthPercent) {
		this.columnWidthPercent = columnWidthPercent;
	}*/

    public Integer getColumnWidthPercent() {
        return columnWidthPercent;
    }

    public void setColumnWidthPercent(Integer columnWidthPercent) {
        this.columnWidthPercent = columnWidthPercent;
    }

	public List<Map<String, Object>> getFieldValueList() {
		return fieldValueList;
	}

	public void setFieldValueList(List<Map<String, Object>> fieldValueList) {
		this.fieldValueList = fieldValueList;
	}
}
